Marcus Meissner
932f848950
- Add a versioned dependency when obsoleting packages. - Remove superfluous obsoletes *-64bit in the ifarch ppc64 case; (bnc#437293). - Fix gssapi_krb configure time header detection. - Update root zone (dated Nov 5, 2014). - Update to version 9.10.1 - This release addresses the security flaws described in CVE-2014-3214 and CVE-2014-3859. - Update to version 9.10.0 - Update to version 9.9.6 Cf the bind changes file for all the details of 9.9.6 till 9.10.1. - Remove merged rpz2+rl-9.9.5.patch and obsoleted rpz2+rl-9.9.5.patch - Update baselibs.conf (added libirs and library interface version updates). OBS-URL: https://build.opensuse.org/request/show/264083 OBS-URL: https://build.opensuse.org/package/show/network/bind?expand=0&rev=153
24 lines
685 B
Diff
24 lines
685 B
Diff
Index: contrib/named-bootconf/named-bootconf.sh
|
|
===================================================================
|
|
--- contrib/scripts/named-bootconf.sh.orig
|
|
+++ contrib/scripts/named-bootconf.sh
|
|
@@ -47,7 +47,8 @@
|
|
# POSSIBILITY OF SUCH DAMAGE.
|
|
|
|
if [ ${OPTIONFILE-X} = X ]; then
|
|
- WORKDIR=/tmp/`date +%s`.$$
|
|
+ TMPDIR=`mktemp -p /tmp/ -d named-bootconf.XXXXXXXXXX` || exit 1
|
|
+ WORKDIR=$TMPDIR/`date +%s`.$$
|
|
( umask 077 ; mkdir $WORKDIR ) || {
|
|
echo "unable to create work directory '$WORKDIR'" >&2
|
|
exit 1
|
|
@@ -301,7 +302,7 @@ if [ $DUMP -eq 1 ]; then
|
|
cat $ZONEFILE $COMMENTFILE
|
|
|
|
rm -f $OPTIONFILE $ZONEFILE $COMMENTFILE
|
|
- rmdir $WORKDIR
|
|
+ rm -rf $TMPDIR
|
|
fi
|
|
|
|
exit 0
|